import type { JSX } from '../../stencil-public-runtime';
import { BaseWebComponent } from '../../internal/functional-components/base-web-component';
import type { WebComponentInterface } from '../../internal/functional-components/generic-types';
import type { MeterApi } from '../../internal/functional-components/meter/api';
import type { OrientationPropType } from '../../internal/props';
export declare class KolMeter extends BaseWebComponent<MeterApi> implements WebComponentInterface<MeterApi> {
    private readonly ctrl;
    _high?: number;
    watchHigh(value?: number): void;
    _label: string;
    watchLabel(value?: string): void;
    _low?: number;
    watchLow(value?: number): void;
    _max: number;
    watchMax(value?: number): void;
    _min: number;
    watchMin(value?: number): void;
    _optimum?: number;
    watchOptimum(value?: number): void;
    _orientation: OrientationPropType;
    watchOrientation(value?: OrientationPropType): void;
    _unit: string;
    watchUnit(value?: string): void;
    _value: number;
    watchValue(value?: number): void;
    componentWillLoad(): void;
    render(): JSX.Element;
}
